package io.renren.modules.admin.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import io.renren.modules.admin.entity.MemberEntity;

/**
 * 会员表
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-01-17 11:29:03
 */
@Mapper
public interface MemberDao extends BaseMapper<MemberEntity> {
	@Update("update member set is_check=#{isCheck} where id=#{id}")
    int updateStatus(Long id, Integer isCheck);
}
