package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-12 10:52:23
 */
@Data
@TableName("paper")
public class PaperEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 论文id
	 */
	@TableId
	private Long id;
	/**
	 * 会员id
	 */
	private Long meetingId;
	/**
	 * 投稿人id
	 */
	private Long attendersId;
	/**
	 * 论文题目
	 */
	private String title;
	/**
	 * 摘要
	 */
	private String summary;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	@TableLogic
	private Integer isDel;

}
