package io.renren.modules.app.controller;

import io.renren.common.utils.R;
import io.renren.modules.admin.entity.PaperRequireEntity;
import io.renren.modules.admin.service.PaperRequireService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 投稿要求接口
 *
 * @author huwhois huwhois@163.com
 */
@RestController
@RequestMapping("/app/paperrequire")
public class PaperRequire {
    @Autowired
    private PaperRequireService paperRequireService;
    
    /**
     * 信息
     */
    @GetMapping("/info/{id}")
    public R info(@PathVariable("id") Long id){
		PaperRequireEntity paperRequire = paperRequireService.getById(id);

        return R.ok().put("paperRequire", paperRequire);
    }
}
