package io.renren.modules.app.controller;

import io.renren.common.utils.R;
import io.renren.modules.admin.entity.MeetingEntity;
import io.renren.modules.admin.service.MeetingService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * APP测试接口
 *
 * @author Mark sunlightcs@gmail.com
 */
@RestController
@RequestMapping("/app/meeting")
public class Meeting {
    @Autowired
    private MeetingService meetingService;

    /**
     * 获取会议信息
     */
    @GetMapping("/info/{id}")
    public R info(@PathVariable("id") Long id){
		MeetingEntity meeting = meetingService.getById(id);

        return R.ok().put("meeting", meeting);
    }

}
